Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Interface IExchangeCalendarItem

All Superinterfaces:
  IAttachmentSupport, ICalendarItem, IExchangeItem, IGroupwareItem, IItem, IMessagingItem, java.io.Serializable

All Known Subinterfaces:
  IExchangeAppointment, IMapiAppointment, IMeetingCancellation, IMeetingNotice, IMeetingNoticeAccepted, IMeetingNoticeDeclined, IMeetingNoticeTentative, IMeetingRequest

public interface IExchangeCalendarItem
extends IExchangeItem, ICalendarItem

This interface is used to represent the common properties and methods among calendar items in Exchange. Calendar items consist of appointments, meetings, meeting requests and meeting notices.

Field Summary
`static Key` | `ASSOCIATED_APPOINTMENT_LINK` The key representing the ID of an appointment that is associated with meetings and meeting requests.
`static Key` | `ASSOCIATED_INSTANCE_LINK` The key representing the ID of a modified appointment instance that is associated with meetings and meeting requests.
`static Key` | `IS_RESPONSE_REQUESTED` The key representing the organizer of the appointment.
`static int` | `KEYID_ASSOCIATED_APPOINTMENT_LINK` The `int` ID for the `ASSOCIATED_APPOINTMENT_LINK` key.
`static int` | `KEYID_ASSOCIATED_INSTANCE_LINK` The `int` ID for the `ASSOCIATED_INSTANCE_LINK` key.
`static int` | `KEYID_IS_RESPONSE_REQUESTED` The `int` ID for the `IS_RESPONSE_REQUESTED` key.
`static int` | `KEYID_MEETING_RESPONSE_STATUS` The `int` ID for the `MEETING_RESPONSE_STATUS` key.
`static int` | `KEYID_MEETING_STATUS` The `int` ID for the `MEETING_STATUS` key.
`static int` | `KEYID_RECURRENCE_PATTERN` The `int` ID for the `RECURRENCE_PATTERN` key.
`static int` | `KEYID_REMINDER_MINUTES_BEFORE_START` The `int` ID for the `REMINDER_MINUTES_BEFORE_START` key.
`static int` | `KEYID_REPLY_TIME` The `int` ID for the `REPLY_TIME` key.
`static int` | `KEYID_TIMEZONE_INFO` The `int` ID for the `TIMEZONE_INFO` key.
`static int` | `KEYID_TIMEZONE_STRING` The `int` ID for the `TIMEZONE_STRING` key.
`static Key` | `MEETING_RESPONSE_STATUS` The key representing the response to a meeting request.
`static Key` | `MEETING_STATUS` The key representing the appointment/meeting status of a calendar item.
`static Key` | `RECURRENCE_PATTERN` The key representing the recurrence pattern of a calendar item.
`static Key` | `REMINDER_MINUTES_BEFORE_START` The key representing the minutes before the calendar item start time for a reminder.
`static Key` | `REPLY_TIME` The key representing the organizer of the appointment.
`static Key` | `TIMEZONE_INFO` The key representing the bytes used to represent a time zone.
`static Key` | `TIMEZONE_STRING` The key representing the string used to describe the time zone used with a recurrence pattern.

Fields inherited from interface com.compoze.collab.exchange.IExchangeItem
`BODY_RTF, CONTACT_NAMES, CREATOR_ENTRYID, FLAG, FLAG_REMIND_BY, FLAG_TEXT, HAS_REMINDER, HIDE_ATTACHMENTS, ICON_INDEX, IS_HIDDEN, KEYID_BODY_RTF, KEYID_CONTACT_NAMES, KEYID_CREATOR_ENTRYID, KEYID_FLAG, KEYID_FLAG_REMIND_BY, KEYID_FLAG_TEXT, KEYID_HAS_REMINDER, KEYID_HIDE_ATTACHMENTS, KEYID_ICON_INDEX, KEYID_IS_HIDDEN, KEYID_MILEAGE, KEYID_NORMALIZED_SUBJECT, KEYID_PRIORITY, KEYID_SENSITIVITY, KEYID_SUBJECT_PREFIX, MILEAGE, NORMALIZED_SUBJECT, PRIORITY, SENSITIVITY, SUBJECT_PREFIX`

Fields inherited from interface com.compoze.collab.IAttachmentSupport
`ATTACHMENTS, HAS_ATTACHMENT, KEYID_ATTACHMENTS, KEYID_HAS_ATTACHMENT`

Fields inherited from interface com.compoze.collab.groupware.ICalendarItem
`BUSY_STATUS, DURATION, END_TIME, IS_ALL_DAY, IS_RECURRING, KEYID_BUSY_STATUS, KEYID_DURATION, KEYID_END_TIME, KEYID_IS_ALL_DAY, KEYID_IS_RECURRING, KEYID_LOCATION, KEYID_START_TIME, LOCATION, START_TIME`

Fields inherited from interface com.compoze.collab.groupware.IGroupwareItem
`CATEGORIES, DATE_CREATED, DATE_LAST_MODIFIED, IMPORTANCE, KEYID_CATEGORIES, KEYID_DATE_CREATED, KEYID_DATE_LAST_MODIFIED, KEYID_IMPORTANCE, KEYID_SIZE, KEYID_SUBJECT, SIZE, SUBJECT`

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`CLASS, ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`ExchangeTimeZone` | `getExchangeTimeZone()` Gets the timezone used when setting a recurrence pattern.
`MeetingStatus` | `getMeetingStatus()` Gets the meeting status of the calendar item.
`AppointmentRecurrencePattern` | `getRecurrencePattern()` Gets the recurrence pattern for the appointment.
`boolean` | `isRecurring(boolean bDefault)` Gets if the calendar item is recurring.

Methods inherited from interface com.compoze.collab.exchange.IExchangeItem
`getBodyRtf, getContactNames, getFlagStatus, getFlagText, getHideAttachments, getMileage, getPriority, getSensitivity, getSubjectPrefix, isHidden, setBodyRtf, setContactNames, setFlagStatus, setFlagText, setHideAttachments, setMileage, setPriority, setSensitivity, setSubjectPrefix`

Methods inherited from interface com.compoze.collab.IAttachmentSupport
`addAttachment, getAttachment, getAttachmentCount, getAttachments, hasAttachment`

Methods inherited from interface com.compoze.collab.groupware.ICalendarItem
`getBusyStatus, getDuration, getEndTime, getLocation, getStartTime, isAllDayEvent, isRecurring`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareItem
`getBodyHtml, getBodyHtml, getCategories, getDateCreated, getDateLastModified, getImportance, getNormalizedSubject, getSize, getSubject, getSubject, getSubjectPrefix, setBodyHtml, setCategories, setImportance, setSubject`

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, setBody`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### KEYID_ASSOCIATED_INSTANCE_LINK

    public static final int KEYID_ASSOCIATED_INSTANCE_LINK

  The `int` ID for the `ASSOCIATED_INSTANCE_LINK` key.

### KEYID_TIMEZONE_INFO

    public static final int KEYID_TIMEZONE_INFO

  The `int` ID for the `TIMEZONE_INFO` key.

### KEYID_ASSOCIATED_APPOINTMENT_LINK

    public static final int KEYID_ASSOCIATED_APPOINTMENT_LINK

  The `int` ID for the `ASSOCIATED_APPOINTMENT_LINK` key.

### KEYID_IS_RESPONSE_REQUESTED

    public static final int KEYID_IS_RESPONSE_REQUESTED

  The `int` ID for the `IS_RESPONSE_REQUESTED` key.

### KEYID_REPLY_TIME

    public static final int KEYID_REPLY_TIME

  The `int` ID for the `REPLY_TIME` key.

### KEYID_MEETING_RESPONSE_STATUS

    public static final int KEYID_MEETING_RESPONSE_STATUS

  The `int` ID for the `MEETING_RESPONSE_STATUS` key.

### KEYID_MEETING_STATUS

    public static final int KEYID_MEETING_STATUS

  The `int` ID for the `MEETING_STATUS` key.

### KEYID_RECURRENCE_PATTERN

    public static final int KEYID_RECURRENCE_PATTERN

  The `int` ID for the `RECURRENCE_PATTERN` key.

### KEYID_REMINDER_MINUTES_BEFORE_START

    public static final int KEYID_REMINDER_MINUTES_BEFORE_START

  The `int` ID for the `REMINDER_MINUTES_BEFORE_START` key.

### KEYID_TIMEZONE_STRING

    public static final int KEYID_TIMEZONE_STRING

  The `int` ID for the `TIMEZONE_STRING` key.

### IS_RESPONSE_REQUESTED

    public static final Key IS_RESPONSE_REQUESTED

  The key representing the organizer of the appointment.

### MEETING_RESPONSE_STATUS

    public static final Key MEETING_RESPONSE_STATUS

  The key representing the response to a meeting request.

### MEETING_STATUS

    public static final Key MEETING_STATUS

  The key representing the appointment/meeting status of a calendar item.

### RECURRENCE_PATTERN

    public static final Key RECURRENCE_PATTERN

  The key representing the recurrence pattern of a calendar item.

### REMINDER_MINUTES_BEFORE_START

    public static final Key REMINDER_MINUTES_BEFORE_START

  The key representing the minutes before the calendar item start time for a reminder.

### REPLY_TIME

    public static final Key REPLY_TIME

  The key representing the organizer of the appointment.

### TIMEZONE_STRING

    public static final Key TIMEZONE_STRING

  The key representing the string used to describe the time zone used with a recurrence pattern.

### TIMEZONE_INFO

    public static final Key TIMEZONE_INFO

  The key representing the bytes used to represent a time zone.

### ASSOCIATED_APPOINTMENT_LINK

    public static final Key ASSOCIATED_APPOINTMENT_LINK

  The key representing the ID of an appointment that is associated with meetings and meeting requests.

### ASSOCIATED_INSTANCE_LINK

    public static final Key ASSOCIATED_INSTANCE_LINK

  The key representing the ID of a modified appointment instance that is associated with meetings and meeting requests.

Method Detail

### getRecurrencePattern

    public AppointmentRecurrencePattern getRecurrencePattern()
                                                      throws CollaborationException

  Gets the recurrence pattern for the appointment. Requires the keys in `See Also`.
  Returns:
    the pattern
  Throws:
    `CollaborationException` - if there was an error getting the pattern.
  See Also:
    `RECURRENCE_PATTERN`, `TIMEZONE_STRING`, `TIMEZONE_INFO`

### getExchangeTimeZone

    public ExchangeTimeZone getExchangeTimeZone()
                                         throws CollaborationException

  Gets the timezone used when setting a recurrence pattern. Requires the keys in `See Also`.
  Returns:
    the time zone, or `null` if the appointment is not recurring
  Throws:
    `CollaborationException` - if there was an error getting the time zone.
  See Also:
    `ICalendarItem.IS_RECURRING`, `TIMEZONE_STRING`, `TIMEZONE_INFO`

### isRecurring

    public boolean isRecurring(boolean bDefault)
                        throws CollaborationException

  Gets if the calendar item is recurring. This method will never throw a `PropertyMissingException`.
  Parameters:
    `bDefault` - value to return if the property is not on the item
  Returns:
    `true` if the item is recurring
  Throws:
    `CollaborationException` -

### getMeetingStatus

    public MeetingStatus getMeetingStatus()
                                   throws CollaborationException

  Gets the meeting status of the calendar item.
  Returns:
    the meeting status
  Throws:
    `CollaborationException` - if there was an error getting the meeting status

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.